******************************************************************************
*STATBAR is a Smaller Progress Thermometer that
*allows the following options:
*
*  Set Window Title         <Optional>
*  Display a Message        <Optional>
*
*----------
*- SYNTAX -
*----------
*
*  DO STATBAR WITH <PERCENT>,<MESSAGE>,<TITLE>
*  
*  PERCENT = Count * 100 / Max Count      <Max Count is the final total>
*  MESSAGE = Character string to display  <optional>
*  TITLE   = Window Title                 <optional>
*
*-----------
*- EXAMPLE -
*-----------
*
*
*  FOR KOUNT = 1 TO 500    <500 being the Max Count>
*  
     ********************************************
     **** DO WHATEVER ACTION YOU DESIRE HERE ****
     ********************************************

*    =STATBAR(KOUNT * 100/500,"Counting....","Demo")
*                        -OR-
*    =STATBAR(KOUNT * 100/500,"Counting....")
*                        -OR-
*    =STATBAR(KOUNT * 100/500)
*                        
*  ENDFOR
***************************************************************************** 

FOR J = 1 TO 500
  DO STATBAR WITH J*100/500,"Record Number  "+ltrim(str(j)),"Counting Records"
ENDFOR
